Subject: Re: [PATCH] Allow local branching to set up rebase by default.

From: Junio C Hamano <[email-masked]>
Date: Thu, 08 May 2008 11:23:39 -0700

Dustin Sallings <[email-masked]> writes:

>>> +	When `never`, rebase is never automatically set to true.
>>> +	When `local`, rebase is set to true for tracked branches of
>>> +	other local branches.
>>> +	When `remote`, rebase is set to true for tracked branches of
>>> +	remote branches.
>>> +	When `always`, rebase will be set to true for all tracking
>>> +	branches.
>>> +	This option defaults to never.
>>
>> How does this interact with a similarly named configuration option,
>> autosetupmerge, whose settings can be false, true, and always?
>
> 	I can direct the user to the autosetupmerge config
> documentation since it also documents the flags that override its
> behavior.  Is this  acceptable?

Oh, it was not a request to change the description quoted above but a pure
question -- asking for information.  "This new configuration variable is
orthogonal and does not interact with the autosetupmerge", "This takes
effect only the other one decides (or --track is given from the command
line) to make it track", etc.  were the expected answers.  It might not
hurt to insert "(see branch.<name>.autosetupmerge)" before the comma in
"tracks another branch," below, though...

    +branch.autosetuprebase::
    +       When a new branch is created with `git-branch` or `git-checkout`
    +       that tracks another branch, this parameter tells git to set